#!/bin/sh

mkdir c910
cd c910

sudo apt-get install -y libusb-1.0-0-dev
sudo apt-get install -y libhidapi-dev libftdi-dev libjaylink-dev
sudo apt-get install -y jimsh tclsh libjim-dev
sudo apt-get build-dep openocd

sudo apt-get install -y autoconf automake autotools-dev curl libmpc-dev libmpfr-dev libgmp-dev gawk build-essential bison flex texinfo gperf libtool patchutils bc zlib1g-dev libexpat-dev


#git clone -b master-csky-open-v0.7.1 https://github.com/c-sky/riscv-gnu-toolchain toolchain
git clone -b csky-open-v0.7.1 https://github.com/scpcom/riscv-gnu-toolchain toolchain
tar czf thead-gnu-toolchain-source.tar.gz toolchain
cd toolchain
git submodule update --init --recursive
cd ..
tar czf thead-gnu-toolchain-submodule-source.tar.gz toolchain

cd toolchain

export PREFIX=`pwd`/build

mkdir `pwd`/build

./configure --target=riscv64-unknown-linux-gnu \
\
--prefix=`pwd`/build \
\
--without-system-zlib \
--disable-multilib --with-abi=lp64d --with-arch=rv64gcxthead \
'CFLAGS_FOR_TARGET=-O2 -mcmodel=medany' 'CXXFLAGS_FOR_TARGET=-O2 -mcmodel=medany'

NEWLIB_TUPLE=riscv64-unknown-linux-gnu make linux

cd $PREFIX
set +e
# Strip unused symbols in toolchain binaries
for i in `find libexec bin -type f`; do strip -s $i ; done
cd ..

#linux_thead-thead-gnu-toolchain-ubuntu-amd64-8.2.0-20190213.tar.gz

echo OK
